SuperMailingList - PHP MySQL Mailinglisten Verwaltung und E-Mail-Verteilerlisten Software

PHP Newsletter-Empfänger-Verwaltung und E-Mail-Verteiler

Einfache Verwaltung von Newsletter-Empfängern und E-Mail-Verteilerlisten mit PHP Scripten und MySQL


Teil der webbasierten PHP Newsletter Software SuperWebMailer

PHP Newsletter Empfängerlisten-Verwaltung und E-Mail-Verteiler SuperMailingList - Systemanforderungen

Installation der SuperMailingList PHP Scripte

 

Zur Installation von SuperMailingList benötigen Sie ein Programm zum Übertragen von Dateien per FTP. Das FTP-Programm sollte das Setzen von Dateirechten (chmod) bei Linux/UNIX-basierten Betriebssystem erlauben, alternativ können die Rechte auch auf der Konsole (SSH) gesetzt werden.  Die eigentliche Installation der PHP Scripte erfolgt mit einem Installations-Assistenten über den normalen Browser.
Installationsanleitung zur Installation der Mailinglisten Verwaltung SuperMailingList als PDF-Datei

Hilfe SuperMailingList als PDF-Datei
Hilfe SuperMailingList als HTML-Variante

Hilfe SuperMailingList als kompilierte Windows HTML-Hilfe-Datei

 

 

PHP E-Mail Newsletter Empfänger Verwaltung SuperMailingList

Ausführung des PHP Mailinglisten- und E-Mail-Verteiler-Scripts

 

Zur Ausführung des PHP Mailinglisten- und E-Mail-Verteiler Scripts müssen folgende Voraussetzungen erfüllt sein:

  • Eigene Webpräsenz, eigener Server oder virtueller Server mit mindestens 16 MByte freien Speicherplatz.
  • Betriebssystem Linux oder Windows Server
  • PHP 4.1, 5 oder 7 und neuer (neuer ist empfohlen), PHP muss auf die MySQL-Datenbank zugreifen können
  • kein ionCube Loader erforderlich
  • Zur Nutzung des Captcha um das Anmeldeformular und Abmeldeformular vor Spambots zu schützen muss PHP mit der GD-Bibliothek (GDlib) kompiliert wurden sein.
  • Zur Nutzung der Zeichencodierungen iso-8859-2 bis iso-8859-10, KOI8-x, windows-1250- windows-1258 muss die iconv-Bibliothek in PHP kompiliert wurden sein. Die Zeichencodierungen iso-8859-1 (meist in Deutschland verwendet) und Unicode/UTF-8 werden ohne die Bibliothek nativ unterstützt.
  • MySQL Server 3.23 oder neuer, MySQL Server 4.1 oder neuer wegen der UTF-8-Unterstützung empfohlen
  • Apache Webserver 1.2 oder neuer mit korrekten PHP-Script-Handling, Windows Server (IIS) werden nur mit korrekter PHP-Installation unterstützt,
  • Möglichkeit zur Ausführung von CronJobs/Geplanten Aufgaben (unter Linux), unter Windows Aufgabenplanung um in regelmäßigen Abständen unbestätigte Newsletter-Anmeldungen zu löschen und ein oder mehrere definierte Postfächer auf Hardbounces bzw. auf den Eingang von zu verteilenden E-Mails über die Verteilerlisten prüfen zu können.
    Das CronJob-Script kann ebenfalls über einen externen CronJob-Dienst, z.B. https://cron-job.org/de/ oder http://www.cronjob.de/ oder über ein JavaScript auf der Webseite aufgerufen werden.
  • Der PHP Safe mode kann für die Webpräsenz aktiviert sein. Es kann jedoch zu Problemen beim Upload von Bildern kommen, die mit der E-Mail versandt werden sollen. Der PHP safe mode sollte daher möglichst deaktiviert sein.
  • Für den Versand von E-Mails muss ein MTA (Mail Transfer Agent) installiert sein, dies ist in der Regel auf jedem Webserver der Fall. Für den Versand von E-Mails über einen SMTP-Server bzw. direkter Versand der E-Mails an den Server des Empfängers (SMTP MX) muss der Zugriff auf den Zielserver über Port 25 und DNS-Auflösung (Umwandlung Name in IP-Adresse) möglich sein.
  • Für den Abruf von E-Mails zur Bestimmung der Hardbounces oder Versand an mehrere Empfänger einer Verteilerliste muss das Script über Port 110 (POP3), Port 143 (IMAP), Port 995 (POP3 mit SSL) oder Port 993 (IMAP mit SSL) auf einen Posteingangsserver von der Webpräsenz aus zugreifen können.
  • Als Browser ist Internet Explorer 8.0 oder neuer, Microsoft Edge, Firefox 3.x oder neuer, Safari 3.x oder neuer jeweils mit aktivierten JavaScript empfehlenswert. Mit anderen Browsern wurde SuperMailingList nicht getestet, Sie können die Demo-Version von SuperMailingList mit Ihrem Browser testen.
  • Zur Nutzung der API (SOAP Webservice) muss auf dem Server/Webpräsenz PHP 5.0 oder neuer verwendet werden.
     


 

Weitere Informationen zur PHP Mailinglisten und Newsletter-Empfänger-Verwaltung SuperMailingList

 

 






Andere Programme